## python-blessed 1.16.1

=== requirements.txt ===
wcwidth>=0.1.4
six>=1.9.0
# support python2.6 by using backport of 'orderedict'
ordereddict==1.1; python_version < "2.7"
# Windows requires jinxed
jinxed>=0.5.4; platform_system == "Windows"

## python-blessed 1.14.1

=== debian/changelog ===
python-blessed (1.14.1-1) unstable; urgency=low

  * Initial release. Closes: #823819

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 09 May 2016 21:59:05 +0800

=== debian/control ===
Source: python-blessed
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper (>=9),
               dh-python,
               python3-all,
               python3-mock,
               python3-pytest,
               python3-setuptools,
               python3-wcwidth,
               python-all,
               python-mock,
               python-pytest,
               python-setuptools,
               python-wcwidth,
Standards-Version: 3.9.8
Homepage: https://github.com/jquast/blessed
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-blessed.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-blessed.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-blessed
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python:Depends}
Description: Thin, practical wrapper around terminal capabilities in Python2
 Blessed is a thin, practical wrapper around terminal capabilities in
 Python. It provides:
 .
  * Styles, color, and maybe a little positioning without necessarily
    clearing the whole screen first.
  * Works great with standard Python string formatting.
  * Provides up-to-the-moment terminal height and width, so you can
    respond to terminal size changes.
  * Avoids making a mess if the output gets piped to a non-terminal:
    outputs to any file-like object such as StringIO, files, or pipes.
  * Uses the terminfo(5) database so it works with any terminal type and
    supports any terminal capability: No more C-like calls to tigetstr
    and tparm.
  * Keeps a minimum of internal state, so you can feel free to mix and
    match with calls to curses or whatever other terminal libraries you
    like.
  * Provides plenty of context managers to safely express terminal modes,
    automatically restoring the terminal to a safe state on exit.
  * Act intelligently when somebody redirects your output to a file,
    omitting all of the terminal sequences such as styling, colors, or
    positioning.  Dead-simple keyboard handling: safely decoding unicode
    input in your system's preferred locale and supports
    application/arrow keys.
  * Allows the printable length of strings containing sequences to be
    determined.
 .
 This package installs the library for Python 2.

Package: python3-blessed
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Thin, practical wrapper around terminal capabilities in Python3
 Blessed is a thin, practical wrapper around terminal capabilities in
 Python. It provides:
 .
  * Styles, color, and maybe a little positioning without necessarily
    clearing the whole screen first.
  * Works great with standard Python string formatting.
  * Provides up-to-the-moment terminal height and width, so you can
    respond to terminal size changes.
  * Avoids making a mess if the output gets piped to a non-terminal:
    outputs to any file-like object such as StringIO, files, or pipes.
  * Uses the terminfo(5) database so it works with any terminal type and
    supports any terminal capability: No more C-like calls to tigetstr
    and tparm.
  * Keeps a minimum of internal state, so you can feel free to mix and
    match with calls to curses or whatever other terminal libraries you
    like.
  * Provides plenty of context managers to safely express terminal modes,
    automatically restoring the terminal to a safe state on exit.
  * Act intelligently when somebody redirects your output to a file,
    omitting all of the terminal sequences such as styling, colors, or
    positioning.  Dead-simple keyboard handling: safely decoding unicode
    input in your system's preferred locale and supports
    application/arrow keys.
  * Allows the printable length of strings containing sequences to be
    determined.
 .
 This package installs the library for Python 3.

=== debian/watch ===
# You must remove unused comment lines for the released package.
version=3
http://pypi.debian.net/blessed/blessed-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-blessed 1.14.2

=== debian/changelog ===
python-blessed (1.14.2-3) unstable; urgency=medium

  * Team upload.
  * d/patches/0001: _Really_ remove all time-based assertions in
    test_keyboard.py

 -- Pierre-Elliott Bécue <becue@crans.org>  Tue, 09 Jan 2018 08:46:59 +0100

python-blessed (1.14.2-2) unstable; urgency=medium

  * Team upload.
  * d/patches/0001: Remove all time-based assertions in test_keyboard.py.
    (Closes: #864337)
  * Remove d/clean as the egg files are included in the git repo since the
    beginning, and it's not coherent with the current package's behaviour.

 -- Pierre-Elliott Bécue <becue@crans.org>  Wed, 03 Jan 2018 01:18:43 +0100

python-blessed (1.14.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release 1.14.2
  * Add a patch to remove a not reliable test assertion. (Closes: #864337)
  * d/control:
    - Bump Standards-Version to 4.1.3.
    - Change Build-Depends for debhelper to 11
    - Add a basic Testsuite
    - Remove X-Python3?-Version tags
  * d/compat: Bump to 11
  * d/watch: version bump to 4 and https link with uscan tags

 -- Pierre-Elliott Bécue <becue@crans.org>  Sun, 31 Dec 2017 14:01:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
-Build-Depends: debhelper (>=9),
+Build-Depends: debhelper (>=11),
                dh-python,
                python3-all,
                python3-mock,
@@ -15,12 +15,11 @@
                python-pytest,
                python-setuptools,
                python-wcwidth,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
+Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/jquast/blessed
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-blessed.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-blessed.git
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
 
 Package: python-blessed
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME = blessed
export LC_ALL=C.UTF-8

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-blessed 1.15.0

=== debian/changelog ===
python-blessed (1.15.0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 12 Aug 2019 22:36:45 +0500

python-blessed (1.15.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Pierre-Elliott Bécue ]
  * Drop git-dpm stuff
  * New upstream release 1.15.0 (Closes: #903137)
  * d/control:
    - Bump Standards-Version to 4.1.5. Implements R3
    - Add myself to uploaders

 -- Pierre-Elliott Bécue <becue@crans.org>  Sun, 29 Jul 2018 15:38:34 +0200

=== debian/control ===
Source: python-blessed
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Pierre-Elliott Bécue <becue@crans.org>
Build-Depends: debhelper-compat (= 11),
               dh-python,
               python3-all,
               python3-mock,
               python3-pytest,
               python3-setuptools,
               python3-wcwidth,
Standards-Version: 4.1.5
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/jquast/blessed
Vcs-Git: https://salsa.debian.org/python-team/modules/python-blessed.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-blessed
Rules-Requires-Root: no

Package: python3-blessed
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Thin, practical wrapper around terminal capabilities in Python3
 Blessed is a thin, practical wrapper around terminal capabilities in
 Python. It provides:
 .
  * Styles, color, and maybe a little positioning without necessarily
    clearing the whole screen first.
  * Works great with standard Python string formatting.
  * Provides up-to-the-moment terminal height and width, so you can
    respond to terminal size changes.
  * Avoids making a mess if the output gets piped to a non-terminal:
    outputs to any file-like object such as StringIO, files, or pipes.
  * Uses the terminfo(5) database so it works with any terminal type and
    supports any terminal capability: No more C-like calls to tigetstr
    and tparm.
  * Keeps a minimum of internal state, so you can feel free to mix and
    match with calls to curses or whatever other terminal libraries you
    like.
  * Provides plenty of context managers to safely express terminal modes,
    automatically restoring the terminal to a safe state on exit.
  * Act intelligently when somebody redirects your output to a file,
    omitting all of the terminal sequences such as styling, colors, or
    positioning.  Dead-simple keyboard handling: safely decoding unicode
    input in your system's preferred locale and supports
    application/arrow keys.
  * Allows the printable length of strings containing sequences to be
    determined.
 .
 This package installs the library for Python 3.

## python-blessed 1.16.1

=== debian/changelog ===
python-blessed (1.16.1-1) unstable; urgency=medium

  * New upstream release 1.16.1
  * d/control:
    - Bump Standards-Version to 4.4.1
    - Bump debhelper-compat level to 12

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 25 Dec 2019 19:50:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
-           Pierre-Elliott Bécue <becue@crans.org>
-Build-Depends: debhelper-compat (= 11),
+           Pierre-Elliott Bécue <peb@debian.org>
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-mock,
                python3-pytest,
                python3-setuptools,
                python3-wcwidth,
-Standards-Version: 4.1.5
+Standards-Version: 4.4.1
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/jquast/blessed
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-blessed.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME = blessed
export LC_ALL=C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/blessed/blessed@ANY_VERSION@@ARCHIVE_EXT@

## python-blessed 1.17.8

=== docs/requirements.txt ===
Pillow
Sphinx
jinxed
sphinx-paramlinks
sphinx_rtd_theme
sphinxcontrib-manpage

=== debian/changelog ===
python-blessed (1.17.8-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Add salsa-ci file (routine-update)

  [ Shayan Doust ]
  * Prevent sphinx from fetching intersphinx inventory files from the internet

 -- Andreas Tille <tille@debian.org>  Wed, 15 Jul 2020 22:13:26 +0200

python-blessed (1.17.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Pierre-Elliott Bécue ]
  * New upstream release 1.17.6
    - Removed old patch 0001
    - Add new patch 0001-Get-rid-of-sphinxcontrib-manpage-needs-for-now.patch
      as sphinxcontrib-manpage is not available in Debian and having it
      packaged is not really a priority
  * d/control:
    - Bump Standards-Version to 4.5.0
    - Bump debhelper-compat level to 13
    - Add the necessary Build-Deps and Deps to have the documentation built in
      the package
  * d/rules:
    - Builds the documentation
  * d/tests:
    - Sets up autopkgtest tests

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 26 May 2020 17:16:26 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,21 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-mock,
+               python3-pil,
                python3-pytest,
+               python3-pytest-cov,
+               python3-pytest-xdist,
                python3-setuptools,
+               python3-six,
+               python3-sphinx,
+               python3-sphinx-paramlinks,
+               python3-sphinx-rtd-theme,
                python3-wcwidth,
-Standards-Version: 4.4.1
-Testsuite: autopkgtest-pkg-python
+Standards-Version: 4.5.0
 Homepage: https://github.com/jquast/blessed
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-blessed.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-blessed
@@ -22,7 +28,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         ${sphinxdoc:Depends}
 Description: Thin, practical wrapper around terminal capabilities in Python3
  Blessed is a thin, practical wrapper around terminal capabilities in
  Python. It provides:

## python-blessed 1.17.12

=== requirements.txt ===
wcwidth>=0.1.4
six>=1.9.0
# support python2.6 by using backport of 'orderedict'
ordereddict==1.1; python_version < "2.7"
# support python2.7 by using backport of 'functools.lru_cache'
backports.functools-lru-cache>=1.2.1; python_version < "3.2"
# Windows requires jinxed
jinxed>=0.5.4; platform_system == "Windows"

=== debian/changelog ===
python-blessed (1.17.12-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Pierre-Elliott Bécue ]
  * New upstream release 1.17.12
  * Bump Standards-Version to 4.5.1

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 16 Jan 2021 23:46:19 +0100

python-blessed (1.17.10-1) unstable; urgency=medium

  * New upstream release 1.17.10 (Closes: #966998)

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 04 Sep 2020 22:09:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-blessed
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -18,10 +18,10 @@
                python3-sphinx-paramlinks,
                python3-sphinx-rtd-theme,
                python3-wcwidth,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/jquast/blessed
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-blessed.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-blessed
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-blessed.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-blessed
 Rules-Requires-Root: no
 
 Package: python3-blessed

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME = blessed
export LC_ALL=C.UTF-8

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -v -d docs/_build/doctrees -b html docs docs/_build/html

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -v -x -rs" dh_auto_test
endif

## python-blessed 1.19.0

=== debian/changelog ===
python-blessed (1.19.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Pierre-Elliott Bécue ]
  * New upstream release 1.19.0
  * d/control:
    - Bump Standards-Version to 4.6.0

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 09 Oct 2021 13:01:09 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-sphinx-paramlinks,
                python3-sphinx-rtd-theme,
                python3-wcwidth,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/jquast/blessed
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-blessed.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-blessed

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/jquast/blessed/releases \
.*[^n]/(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## python-blessed 1.19.1

=== requirements.txt ===
--- 
+++ 
@@ -5,4 +5,4 @@
 # support python2.7 by using backport of 'functools.lru_cache'
 backports.functools-lru-cache>=1.2.1; python_version < "3.2"
 # Windows requires jinxed
-jinxed>=0.5.4; platform_system == "Windows"
+jinxed>=1.1.0; platform_system == "Windows"

=== debian/changelog ===
python-blessed (1.19.1-1) unstable; urgency=medium

  * New upstream release 1.19.1
  * d/p/0002: Remove a deprecated flag on tox.ini (Closes: #1026472)
  * d/t/python3-blessed:
    - Symlink the installed blessed libso that coverage
      doesn't fail
    - Use py3versions -s instead of -r
  * d/control: Bump Standards-Version to 4.6.1
  * d/watch: update the github link to fetch from tags

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 24 Dec 2022 01:10:14 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-sphinx-paramlinks,
                python3-sphinx-rtd-theme,
                python3-wcwidth,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/jquast/blessed
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-blessed.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-blessed

=== debian/rules ===
--- 
+++ 
@@ -16,4 +16,3 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -v -x -rs" dh_auto_test
 endif
-

=== debian/tests/control ===
Tests: python3-blessed
Depends: @,
         python3-all,
         python3-mock,
         python3-pil,
         python3-pytest,
         python3-pytest-cov,
         python3-pytest-xdist
Restrictions: allow-stderr

## python-blessed 1.20.0

=== debian/changelog ===
python-blessed (1.20.0-2) unstable; urgency=medium

  * Team Upload
  * Sphinx 8 support (Closes: #1090132)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 23 Dec 2024 23:33:05 +0100

python-blessed (1.20.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.20.0
  * remove useless dependency on pytho3-mock: it's hybridized
  * refresh patches
  * use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Thu, 22 Feb 2024 18:41:00 +0100

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/jquast/blessed/tags \
.*[^n]/(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## python-blessed 1.21.0

=== debian/changelog ===
python-blessed (1.21.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.21.0
  * Remove build-dep on python3-six
  * Refresh patches

 -- Alexandre Detiste <tchet@debian.org>  Fri, 02 May 2025 01:28:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,13 @@
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
-               python3-mock,
                python3-pil,
                python3-pytest,
                python3-pytest-cov,
                python3-pytest-xdist,
                python3-setuptools,
-               python3-six,
                python3-sphinx,
                python3-sphinx-paramlinks,
                python3-sphinx-rtd-theme,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export LC_ALL=C.UTF-8
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9

=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Tests: python3-blessed
 Depends: @,
          python3-all,
-         python3-mock,
          python3-pil,
          python3-pytest,
          python3-pytest-cov,

## python-blessed 1.25

=== debian/changelog ===
python-blessed (1.25-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.25
  * Build with flit instead of setuptools
  * Switch to pybuild-plugin-pyproject
  * Skip the one failing test (Closes: #1123201)
  * Drop "Rules-Requires-Root: no": it is now the default
  * Bump Standards-Version to 4.7.3
  * Drop "Priority: optional": it is now implicit
  * Rewrite d/watch in v5 format
  * Refresh patch

 -- Alexandre Detiste <tchet@debian.org>  Wed, 24 Dec 2025 16:26:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,35 @@
 Source: python-blessed
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
-           Pierre-Elliott Bécue <peb@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               python3-all,
-               python3-pil,
-               python3-pytest,
-               python3-pytest-cov,
-               python3-pytest-xdist,
-               python3-setuptools,
-               python3-sphinx,
-               python3-sphinx-paramlinks,
-               python3-sphinx-rtd-theme,
-               python3-wcwidth,
-Standards-Version: 4.6.1
+Uploaders:
+ ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
+ Pierre-Elliott Bécue <peb@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ flit,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-pil,
+ python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-pytest-xdist <!nocheck>,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-paramlinks <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
+ python3-wcwidth,
+Standards-Version: 4.7.3
 Homepage: https://github.com/jquast/blessed
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-blessed.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-blessed
-Rules-Requires-Root: no
 
 Package: python3-blessed
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${python3:Depends},
-         ${sphinxdoc:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${sphinxdoc:Depends},
 Description: Thin, practical wrapper around terminal capabilities in Python3
  Blessed is a thin, practical wrapper around terminal capabilities in
  Python. It provides:

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,5 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -v -x -rs" dh_auto_test
+	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -v -x -rs -k 'not SequenceWrapper'" dh_auto_test
 endif

=== debian/tests/control ===
Tests:
 python3-blessed,
Depends:
 python3-all,
 python3-pil,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-xdist,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
Version: 5

Template: GitHub
Owner: jquast
Project: blessed
